<?php if($cptCal==0){ ?>
<script>
////	Gère l'affichage de la vue "week" (cf. "CalendarDimensions()")
function calendarDimensionsVue()
{
	////	Largeur / Hauteur des block scroller des agendas
	$(".vCalWeekScroller").css("display","none");//masque temporairement le scroller pour récupérer la vraie hauteur de "vCalWeek" 
	weekScrollerWidth=$(".vCalWeek").innerWidth();
	weekScrollerHeight=$(".vCalWeek").innerHeight() - $(".vCalWeekHeader").outerHeight(true);
	$(".vCalWeekScroller").css("width",weekScrollerWidth).css("height",weekScrollerHeight-1).css("display","block");

	////	Lance l'affichage de chaque agenda
	$(".vCalWeekScroller").each(function(){
		////Selecteur de l'agenda courant pour accélérer le calcul
		tmpCalSelector="#"+this.id;
		////	Hauteur des lignes d'heure (le créneau horaire de l'agenda doit prendre la hauteur du "weekScrollerHeight")
		var calWeekTimeSlotHours=parseInt($(this).attr("data-timeSlotDuration")) +1;//+1 : nb de lignes du "TimeSlot"
		var calWeekLineHeight=Math.round(weekScrollerHeight / calWeekTimeSlotHours);
		if(calWeekLineHeight<30)	{calWeekLineHeight=30;}//30px minimum pour les lignes d'heure
		evtHeightMini=18;//18px minimum pour les evt
		$(".vCalWeekLine,.vCalWeekHourQuarts",tmpCalSelector).outerHeight(calWeekLineHeight);

		////	Hauteur/Largeur des jours (avec marges)
		cellDayHeight=$(".vCalWeekLine:first-child .vCalWeekHour",tmpCalSelector).outerHeight(true);
		cellDayWidth=Math.round(($(this).innerWidth() - $(".vCalWeekHours",tmpCalSelector).innerWidth()) / $(".vCalWeekLine:first-child .vCalWeekHour",tmpCalSelector).length);
		$(".vCalWeekDayLabel,.vCalWeekHour",tmpCalSelector).css("width",cellDayWidth+"px");

		////	Affichage des blocks d'événement
		hearlierEvtTop=null;
		$(".vCalEvtBlock",tmpCalSelector).each(function(){
			var curDaySelector=".vCalWeekLine:first-child [data-dayCpt='"+$(this).attr("data-dayCpt")+"']";
			//Position left et largeur
			var cellDayPosition=$(curDaySelector,tmpCalSelector).position();
			$(this).outerWidth($(curDaySelector,tmpCalSelector).innerWidth()).css("margin-left",cellDayPosition.left);
			//Position top
			var minutesFromDayBegin=$(this).attr("data-minutesFromDayBegin");
			var evtTop=(minutesFromDayBegin!="evtBeforeDayBegin")  ?  Math.round((cellDayHeight/60) * parseInt(minutesFromDayBegin))  :  0;
			$(this).css("margin-top",evtTop);
			//Hauteur de l'evt
			var durationMinutes=parseInt($(this).attr("data-durationMinutes"));
			if(durationMinutes>0)	{var evtHeight=Math.round((cellDayHeight/60) * durationMinutes);}
			else					{var evtHeight=Math.round(cellDayHeight/2);}//1/2heure
			if(evtHeight<evtHeightMini)	{evtHeight=evtHeightMini;}
			$(this).outerHeight(evtHeight-1);//enlève 1px de marge
			//Première position des evts de la semaine (evt le plus tôt de la semaine)
			if(minutesFromDayBegin!="evtBeforeDayBegin" && (hearlierEvtTop===null || evtTop<hearlierEvtTop))	{hearlierEvtTop=evtTop;}
		});

		////	Place l'agenda (scroll) au début de la plage horaire OU sur l'événement le plus tôt de la semaine
		var scrollTopTimeSlot=cellDayHeight * parseInt($(this).attr("data-timeSlotBegin"));
		var scrollTopCalWeek=(hearlierEvtTop!==null && hearlierEvtTop<scrollTopTimeSlot)  ?  hearlierEvtTop  :  scrollTopTimeSlot;
		$(this).scrollTop(scrollTopCalWeek);

		////	Sélection de créneau horaire pour l'ajout d'un evt
		$(".vCalWeekHourQuartCell",tmpCalSelector).on("mousedown mousemove mouseup",function(event){
			//Init la sélection
			if(event.type=="mousedown"){
				isMouseDown=true;
			}
			//Sélectionne le Timeslot (si on est sur le même jour)
			else if(event.type=="mousemove" && isMouseDown==true && (selectedDate==null || selectedDate==$(this).attr("data-selectedDate")))
			{
				//Init "timeSelectBegin" & "timeSelectBegin" & Sélection du jour
				selectedDate=$(this).attr("data-selectedDate");
				var timeCellBegin=parseInt($(this).attr("data-newTimeBegin"));
				var timeCellEnd=timeCellBegin+900;
				if(timeSelectBegin==null)	{timeSelectBegin=timeCellBegin;}
				timeSelectEnd=timeCellEnd;
				//Ajoute la classe aux cellules sélectionnées : parcourt les cellules entre "timeSelectBegin" et "timeSelectEnd"
				$(".vCalWeekHourQuartCell[data-selectedDate='"+selectedDate+"']").each(function(){
					var timeCellBegin=parseInt($(this).attr("data-newTimeBegin"));
					(timeSelectBegin<=timeCellBegin && timeCellBegin<timeSelectEnd)  ?  $(this).addClass("vCalWeekHourQuartSelect")  :  $(this).removeClass("vCalWeekHourQuartSelect");
				});
			}
			//Termine la sélection et ouvre le menu d'édition
			else if(event.type=="mouseup")
			{
				//Sélection pas encore initialisé (si ya click direct sur une plage horaire)
				if(timeSelectBegin==null || timeSelectEnd==null)	{timeSelectBegin=timeSelectEnd=parseInt($(this).attr("data-newTimeBegin"));}
				//lance la page d'édition d'un evt & réinitialise la sélection
				lightboxOpen("<?= MdlCalendarEvent::getUrlNew() ?>&_idCal="+$(this).attr("data-idCal")+"&newTimeBegin="+timeSelectBegin+"&newTimeEnd="+timeSelectEnd);
			}
		});
	});

	////	Init la sélection  &&  Réinit la sélection au "mouseup" sur la page
	isMouseDown=selectedDate=timeSelectBegin=timeSelectEnd=null;
	$(document).mouseup(function(){
		isMouseDown=selectedDate=timeSelectBegin=timeSelectEnd=null;
		$(".vCalWeekHourQuartCell").removeClass("vCalWeekHourQuartSelect");
	});

	////	On affiche tous les agendas : une fois la mise en page terminée
	$(".vCalWeek").css("visibility","visible");
}
</script>


<style>
.vCalWeek						{display:table; visibility:hidden; width:100%; height:100%; -moz-user-select:none; -webkit-user-select:none; -ms-user-select:none;}
.vCalWeekScroller				{overflow-y:scroll; overflow-x:hidden; position:absolute;}
.vCalWeekHeader, .vCalWeekTable	{display:table; width:100%;}
.vCalWeekHeaderLine				{display:table-row; height:20px;}
.vCalWeekHeaderScrollerMargin	{width:10px;}/*largeur de la barre de défilement*/
.vCalWeekDayLabel				{text-align:center; vertical-align:bottom; <?= $displayMode=="day"?"visibility:hidden;":null ?>}
.vCalWeekDayLabelToday			{color:#c00;}
.vCalWeekHours, .vCalWeekDayLabel, .vCalWeekHour	{display:table-cell;}
.vCalWeekLine					{display:table-row;}
.vCalWeekLine .vCalWeekHours	{border-top:solid 1px #eee;}
.vCalWeekLine .vCalWeekHour		{background:#fff; border-top:solid 1px #fff; border-bottom:solid 1px #ddd; border-left:solid 1px #ccc;}
.vCalWeekHours					{color:#555; width:35px;}
.vCalWeekLine .vCalWeekHours	{text-align:center; background:#ddd;}
.vCalWeekHourOutTimeslot		{background:#f7f7f7;}
.vCalWeekHourQuarts				{display:table; width:100%;}
.vCalWeekHourQuartLine			{display:table-row;}
.vCalWeekHourQuartCell			{display:table-cell; height:25%; cursor:default; font-size:5px;}
.vCalWeekHourQuartCell:hover 	{background:#aaa;}
.vCalWeekHourQuartOld			{background:#eee;}
.vCalWeekHourQuartCurrent		{background:#eee; border-bottom:solid 1px #c00;}
.vCalWeekHourQuartSelect		{background:#999;}
.vCalEvtBlock					{position:absolute; box-shadow:none;}
.vCalEvtLabel					{height:inherit; overflow:hidden;}/*pour ne pas dépasser du block parent*/

/* IMPRESSION */
@media print {
	.vCalWeekHour	{border-top:solid 2px #ccc; border-left:solid 2px #ccc; border-bottom:0px; border-right:0px;}
}
</style>
<?php } ?>


<div class="vCalWeek">
	<!--HEADER DES JOURS : FIXE-->
	<div class="vCalWeekHeader">
		<div class="vCalWeekHeaderLine">
			<div class="vCalWeekHours">&nbsp;</div>
			<?php foreach($periodDays as $tmpDay){ ?>
				<div class="vCalWeekDayLabel <?= date("y-m-d",$tmpDay["timeBegin"])==date("y-m-d")?"vCalWeekDayLabelToday":null ?>">
					<?= Txt::trad("jour_".date("N",$tmpDay["timeBegin"]))." ".date("j/m",$tmpDay["timeBegin"]) ?>
					<?= !empty($tmpDay["celebrationDay"]) ? "<img src='app/img/calendar/celebrationDay.png' title=\"".$tmpDay["celebrationDay"]."\">" : null ?>
				</div>
			<?php } ?>
			<div class="vCalWeekHeaderScrollerMargin">&nbsp;</div>
		</div>
	</div>

	<!--PARTIR SCROLLABLE DE L'AGENDA : EVENEMENTS & GRILLE DES HEURES/MINUTES-->
	<div class="vCalWeekScroller" id="calWeekScroller<?= $tmpCal->_targetObjId ?>" data-timeSlotBegin="<?= $tmpCal->timeSlotBegin ?>" data-timeSlotDuration="<?= round($tmpCal->timeSlotEnd-$tmpCal->timeSlotBegin) ?>">

		<!--EVENEMENTS DE L'AGENDA (POSITION ABSOLUE), POUR CHAQUE JOUR-->
		<?php
		foreach($eventList as $tmpDateEvts){
			foreach($tmpDateEvts as $tmpEvt){
		?>
		<div class="vCalEvtBlock sBlock" data-dayCpt="<?= $tmpEvt->dayCpt ?>" data-minutesFromDayBegin="<?= $tmpEvt->minutesFromDayBegin ?>" data-durationMinutes="<?= $tmpEvt->durationMinutes ?>" data-catColor="<?= $tmpEvt->catColor ?>" data-colorDisplay="<?= $tmpCal->evtColorDisplay ?>" <?= $tmpEvt->blockIdForMenuContextDay ?> data-onclickJs="lightboxOpen('<?= $tmpEvt->getUrl("vue") ?>')">
			<div class="vCalEvtLabel">
				<?= $tmpEvt->menuContextDay ?>
				<?= Txt::displayDate($tmpEvt->dateBegin,"mini",$tmpEvt->dateEnd) ?>
				<span class="vCalEvtTitle"><?= $tmpEvt->title ?><?= (!empty($tmpEvt->important)) ? "<img src='app/img/important.png'>" : null ?></span>
			</div>
		</div>
		<?php }}  ?>
	
		<!--GRILLE DES HEURES/MINUTES-->
		<div class="vCalWeekTable">
			<?php for($H=0; $H<=23; $H++){
				$tmpHourClass=($H<$tmpCal->timeSlotBegin || $H>$tmpCal->timeSlotEnd || $H==12 || $H==13) ? "vCalWeekHourOutTimeslot" : null;//créneau hors du "Timeslot" de l'agenda?
			?>
			<!--LIGNE DES HEURES-->
			<div class="vCalWeekLine">
				<div class="vCalWeekHours"><?= $H ?>:00</div>
				<?php foreach($periodDays as $dayCpt=>$tmpDay){ ?>
				<!--AFFICHE CHAQUE HEURE DE CHAQUE JOUR-->
				<div class="vCalWeekHour" data-dayCpt="<?= $dayCpt ?>">
					<div class="vCalWeekHourQuarts">
						<!--DIVISE LES CELLULES EN QUARTS D'HEURES-->
						<?php for($quarter=0; $quarter<=3; $quarter++){
							$timeQuarterBegin=$tmpDay["timeBegin"]+(3600*$H)+(900*$quarter);//Time du début du quart d'heure
							$timeQuarterEnd=$timeQuarterBegin+900;							//Time de la fin "	"
							if(time()<$timeQuarterBegin)									{$quarterClass=$tmpHourClass;}				//quart d'heure futur (fonction du timeslot)
							elseif($timeQuarterBegin<=time() && time()<=$timeQuarterEnd)	{$quarterClass="vCalWeekHourQuartCurrent";}	//	" courant
							else															{$quarterClass="vCalWeekHourQuartOld";}		//	" passée
							$tmpNewDateTitle=$txtAddEvt." ".date("H:i",$timeQuarterBegin).$txtAddEvtPropose;
							$tmpNewDate=date("Ymd",$timeQuarterBegin);
						?>
							<div class="vCalWeekHourQuartLine">
								<div class="vCalWeekHourQuartCell <?= $quarterClass ?>" title="<?= $tmpNewDateTitle ?>" data-idCal="<?= $tmpCal->_id ?>" data-newTimeBegin="<?= $timeQuarterBegin ?>" data-selectedDate="<?= $tmpNewDate ?>">&nbsp;</div>
							</div>
						<?php } ?>
					</div>
				</div>
				<?php } ?>
			</div>
			<?php } ?>
		</div>
	</div>
</div>